

#ifndef __CCA_fcn_externs_h__
#define __CCA_fcn_externs_h__



#include "linked_list.h"

class FileReader;
class FileWriter;


typedef bool (*FileReadOperation)(FileReader&);
typedef bool (*FileWriteOperation)(FileWriter&);


extern linked_list load_scripts;	
extern linked_list save_scripts;	


extern void CCA_init(char *initial_script);
extern void CCA_character_update(float delta_time);
extern void CCA_trash();


extern bool CCA_load_scripts(FileReader &fp);
extern bool CCA_save_scripts(FileWriter &fp);


#endif 
