

#ifndef __rules_H__
#define __rules_H__
#pragma once

#include "common.h"	


typedef class list_cell *cell_ptr;

class rule {
private :

public :

	int robotID;		// To whom does this rule apply?

	int affected;		// Has this rule been affected by a changed variable?
	int satisfied;		


	cell_ptr cell_in_satisfied_list;

	int (*left_hand_side) ();
	void (*right_hand_side) ();

	int group_rule;

	char rule_name[MAX_STRING];

	rule();
	rule(char *);
	~rule();
};


typedef class rule *rule_ptr;


extern void Trash_All_Rules();

extern int Load_Rules(char *rule_set_name);
extern void Trash_Rules(int rule_set_ID);

#endif