using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace LegacyMissionEditor
{
    public partial class frmInputBox : Form
    {
        public static string prompt;
        public static string text;
        
        public bool alphanumeric = false;

        public frmInputBox()
        {
            InitializeComponent();
        }

        private void frmInputBox_Load(object sender, EventArgs e)
        {
            this.Text = prompt;
            tbText.Text = text;
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            if (alphanumeric)
            {
                // Make sure there's no leading or trailing whitespace
                string test = tbText.Text.Trim();

                // Interior whitespace is okay, but all other characters must be alphanumeric.
                for (int i = 0; i < test.Length; i++)
                {
                    bool bokay = false;
                    char c = test[i];
                    if (c >= 'A' && c <= 'Z') bokay = true;
                    if (c >= 'a' && c <= 'z') bokay = true;
                    if (c >= '0' && c <= '9') bokay = true;
                    if (c == ' ') bokay = true;
                    if (!bokay)
                    {
                        MessageBox.Show("Alphanumeric characters only.");
                        return;
                    }
                }
                text = test;
                Close();
            }
            text = tbText.Text;
            Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            text = null;
            Close();
        }
    }
}