#ifndef __Character_h__
#define __Character_h__
#pragma once



#include "hot_int.h"
#include "CCA.h"
#include "IIIE.h"

typedef class character * character_ptr;
class group;



class character 
{
public:
	char *name;

	
	EntityType type;

	
	int ID;
	int place_in_robot_list;

	
	linked_list m_groups;

	
	IIIE inference_engine;


	
	hot_int TICKLED;

	


	//
	// character
	//
	// Plain constructor for a character
	//
	character
	(
		char *character_name = NULL, 
		EntityType which_type = CHARACTER_ENTITY
	);

	~character();

	
	void Init
	(
		char *character_name, 
		EntityType which_type = CHARACTER_ENTITY
	);

	
	void CleanUp();

	
	virtual IIIE &GetIIIE();

	
	script_ptr virtual new_script(char *script_name);

	void clear_scripts();

	void execute_scripts();

	
	void Add_Group_Membership
	(
		group *the_group
	);

	
	void Remove_Group_Membership
	(
		group *the_group
	);

private:

	linked_list	active_scripts;

};








#endif 
