
 
#ifndef __common_h__
#define __common_h__

#include <stdio.h>

#define DllImport	__declspec( dllimport )
#define DllExport	__declspec( dllexport )

#ifndef DLL_IMPORT
#define DLLHEADER DllExport
#define DLL_EXPORT
#else
#define DLLHEADER DllImport
#endif

#define RAND_FLOAT(min, max)   ((rand() % 10000) * (((max) - (min)) / 10000.0) + (min))
#define RAND_INT(min, max)     (( (int) (((float) rand() * ((max) - (min) + 1))/ (float) RAND_MAX))  + (min))

 
#define BOGUS 0
#define EXCELLENT 1
#define HEINOUS -1
#define ABSURDLY_BIG_NUMBER 32767

#define is ==
#define are ==
#define isnt !=

 
#define RED 0
#define GREEN 1
#define BLUE 2

//#define DEBUG 1

#define BEGIN_DEBUG  
#define END_DEBUG  

#define MAX_STRING 100

#define and &&

#define or ||

#define not !

#define TRUE 1
#define FALSE 0

extern DLLHEADER int DEBUG_CONFIG;
extern DLLHEADER FILE *debug_file;

#define DEBUG_MSG if (DEBUG_CONFIG) fprintf
#define DEBUG_MSG1 if (DEBUG_CONFIG>1) fprintf
#define DEBUG_MSG2 if (DEBUG_CONFIG>2) fprintf
#define DEBUG_MSG3 if (DEBUG_CONFIG>3) fprintf

#endif

