

#ifndef _A1_TIMER_INT_H_
#define _A1_TIMER_INT_H_

#include "hot_int.h"


class timer_int : public hot_int {
public:

	timer_int();		
	timer_int(char *name);		
	~timer_int();		

	
	virtual void start(float time);

	
	virtual void stop();

	// Update the timer.  A.k.a. tell the timer how much time
	// has passed.
	virtual void update(float delta_time);

	
	virtual void set_clean();

	
	virtual float time() const { 
		return(timeLeft); 
	}

private:

	
	float timeLeft;
};



class timer_list : public linked_list {
public :

	
	void update(float delta_time);
};


extern timer_list timers;

#endif 
