//
// ScriptDefaultS.h
//
// Definitions for the action script ScriptDefaultS


// Define the characters introduced by this action script.

// Define the groups introduced by this action script.

// Define the variables introduced by this action script.
#define MISSION_SUCCESS (*p_MISSION_SUCCESS)
#define MISSION_FAILURE (*p_MISSION_FAILURE)
#define WE_NEED_TO_BEGIN_MISSION (*p_WE_NEED_TO_BEGIN_MISSION)
#define MISSION_END (*p_MISSION_END)
#define tDisplayMainTitle (*p_tDisplayMainTitle)
#define tStartIntroVO (*p_tStartIntroVO)
#define tRemoveMainTitle (*p_tRemoveMainTitle)

DllImport hot_int* p_MISSION_SUCCESS;
DllImport hot_int* p_MISSION_FAILURE;
DllImport hot_int* p_WE_NEED_TO_BEGIN_MISSION;
DllImport hot_int* p_MISSION_END;
DllImport timer_int* p_tDisplayMainTitle;
DllImport timer_int* p_tStartIntroVO;
DllImport timer_int* p_tRemoveMainTitle;
DllImport Handle enterprise;
DllImport Handle Main_Title;
DllImport Handle Intro_VO_captainslog;

// Define the constants introduced by this action script.

// Define the actions introduced by this action script.
DllImport void Display_Main_Title();
DllImport void Remove_Main_Title();
DllImport void Start_Mission();
	
// Special instances.
#define band_selected (*p_band_selected)
#define tried_warp_team_8 (*p_tried_warp_team_8)
#define tried_warp_team_7 (*p_tried_warp_team_7)
#define tried_warp_team_6 (*p_tried_warp_team_6)
#define tried_warp_team_5 (*p_tried_warp_team_5)
#define tried_warp_team_4 (*p_tried_warp_team_4)
#define tried_warp_team_3 (*p_tried_warp_team_3)
#define tried_warp_team_2 (*p_tried_warp_team_2)
#define tried_warp_team_1 (*p_tried_warp_team_1)
#define strength_team_8 (*p_strength_team_8)
#define strength_team_7 (*p_strength_team_7)
#define strength_team_6 (*p_strength_team_6)
#define strength_team_5 (*p_strength_team_5)
#define strength_team_4 (*p_strength_team_4)
#define strength_team_3 (*p_strength_team_3)
#define strength_team_2 (*p_strength_team_2)
#define strength_team_1 (*p_strength_team_1)
#define moons_team_8 (*p_moons_team_8)
#define moons_team_7 (*p_moons_team_7)
#define moons_team_6 (*p_moons_team_6)
#define moons_team_5 (*p_moons_team_5)
#define moons_team_4 (*p_moons_team_4)
#define moons_team_3 (*p_moons_team_3)
#define moons_team_2 (*p_moons_team_2)
#define moons_team_1 (*p_moons_team_1)
#define isCineractiveDone (*p_isCineractiveDone)
#define isCineractiveCancel (*p_isCineractiveCancel)
#define ALWAYS_EVALUATE (*p_ALWAYS_EVALUATE)
#define WORLD (*p_WORLD)

DllImport hot_int* p_band_selected;
DllImport hot_int* p_tried_warp_team_8;
DllImport hot_int* p_tried_warp_team_7;
DllImport hot_int* p_tried_warp_team_6;
DllImport hot_int* p_tried_warp_team_5;
DllImport hot_int* p_tried_warp_team_4;
DllImport hot_int* p_tried_warp_team_3;
DllImport hot_int* p_tried_warp_team_2;
DllImport hot_int* p_tried_warp_team_1;
DllImport hot_float* p_strength_team_8;
DllImport hot_float* p_strength_team_7;
DllImport hot_float* p_strength_team_6;
DllImport hot_float* p_strength_team_5;
DllImport hot_float* p_strength_team_4;
DllImport hot_float* p_strength_team_3;
DllImport hot_float* p_strength_team_2;
DllImport hot_float* p_strength_team_1;
DllImport hot_int* p_moons_team_8;
DllImport hot_int* p_moons_team_7;
DllImport hot_int* p_moons_team_6;
DllImport hot_int* p_moons_team_5;
DllImport hot_int* p_moons_team_4;
DllImport hot_int* p_moons_team_3;
DllImport hot_int* p_moons_team_2;
DllImport hot_int* p_moons_team_1;
DllImport hot_int* p_isCineractiveDone;
DllImport hot_int* p_isCineractiveCancel;
DllImport dirty_int* p_ALWAYS_EVALUATE;
DllImport character* p_WORLD;



// The script interface pointer
DllImport ScriptInterface *g_pSI;
